echo off

if not exist duke3d.exe goto error

:menu
cls
echo.
echo -------------------------------------------------------------------------------
echo                   ========  PREDATOR TC: FUTURE WAR ========           
echo -------------------------------------------------------------------------------
echo.
echo.
echo.
echo                       A)     Install FUTURE WAR
echo                       B)     Uninstall FUTURE WAR
echo                       C)     Exit
echo.
echo.
echo.
echo.
echo.

if exist pred.on echo FUTURE WAR - INSTALLED
if exist pred.off echo FUTURE WAR - NOT INSTALLED

choice /c:abc
if errorlevel 3 goto exit
if errorlevel 2 goto uninstall
if errorlevel 1 goto install 

:error
echo.
echo You must be in the wrong directory!
echo.
goto end

:exit
goto end

:p2
echo.
echo FUTURE WAR IS NOT INSTALLED !
echo.
pause
goto menu

:uninstall
if exist pred.off goto p2
echo.
echo Are you shure you want to uninstall FUTURE WAR
echo. 
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto remove2

:remove2
cls
echo.
echo Uninstalling FUTURE WAR 
echo [ CTRL+BREAK to stop ] 
echo.

del attack.wav
del attack2.wav
del die.wav
del fire.wav
del hit.wav
del intro.wav
del mgun.wav
del none.wav
del pargun.wav
del plasma.wav
del pred5.wav
del pred6.wav
del pred7.wav
del predlook.wav
del predm1.wav
del predm2.wav
del predm3.wav
del predm4.wav
del shotgun.voc
del shotgun.wav
del scan.wav
del sdisk.wav
del sy4.wav
del target.wav
del uglym.wav
del uncloak.wav
del vulcan.wav
del wnext.wav

del game.con
del preduser.con
del preddefs.con

del demo1.dmo

del tiles000.art
del tiles005.art
del tiles006.art
del tiles007.art
del tiles008.art
del tiles009.art
del tiles010.art
del tiles011.art
del tiles012.art

del skybase.map
del cambodia.map
del river.map
del treevil.map
del cult.map
del predship.map
del homewold.map
del safari.map

del 233c.mid
del airwolf.mid
del gloomy.mid
del none.mid
del robocrep.mid
del skybase.mid
del xplasma.mid

del logo.anm
del cineov2.anm

if exist game.co rename game.co game.con
if exist demo1.dm rename demo1.dm demo1.dmo
if exist demo1.dm rename demo1.dm demo2.dmo

rename pred.on pred.off
echo.
echo Your Duke3D game has been restored...
echo.
goto end


:p1
echo.
echo FUTURE WAR is already installed!
echo.
pause
goto menu

:install
if exist pred.on goto p1
cls
echo.
echo Getting ready to install FUTURE WAR
echo.
echo.
echo WARNING: ART FILES RESIDING IN THIS DIRECTORY OTHER
echo THAN THE ONES IN GPR.FILES WILL NOT BE BACKED UP! 
echo.
echo Do you wish to proceed with installation?
choice /c:yn
if errorlevel 2 goto menu
if errorlevel 1 goto letsgo 

:Letsgo
echo.
echo The installer is ready to begin.
echo.
pause
echo Backing up your Duke3D files...
echo.

if exist game.con rename game.con game.co

if exist demo1.dmo rename demo1.dmo demo1.dm
if exist demo2.dmo rename demo2.dmo demo2.dm


echo Done.
echo.
pause

echo Installing FUTURE WAR
echo.
rename FUTWAR.VFX FUTUREWAR.exe
FUTUREWAR.exe
echo.
rename FUTUREWAR.exe FUTWAR.VFX
echo.
echo Checking authenticity of FUTWAR.VFX...
echo.

if not exist game.con echo file corrupted!
if not exist preduser.con echo file corrupted!
if not exist preddefs.con echo file corrupted!

if not exist demo1.dmo echo file corrupted!

if not exist shotgun.wav eco file corrupted!

if not exist skybase.map echo file corrupted!

echo Done.
echo.
rename pred.off pred.on
echo Installation complete !
echo.
pause
cls
echo.
echo Type DUKE3D to start FUTURE WAR 
echo Be shure to select LUNAR APOCALYPSE to begin the hunt!
echo.
echo.  
goto end

:end
echo.
echo PREDATOR TC: FUTURE WAR
echo by Daniel Kurstak ( Skynet )
echo.
echo E-mail me at: kurstak@sympatico.ca
echo Visit my site at: http:\\www3.sympatico.ca\kurstak\skinet.htm
echo.




